Interface Technology Basics VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups
Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
ConstStringTable Class Reference

Constant unicode string table. More...

`#include <conststringtable.h>`

## Public Member Functions
const char16 * | getString (const char8 *str) const
| Returns a char16 string of a ASCII string literal.
char16 | getString (const char8 str) const
| Returns a char16 character of a ASCII character.

## Static Public Member Functions
static ConstStringTable * | instance ()

## Protected Member Functions
| ConstStringTable ()
| ~ConstStringTable ()

## Detailed Description

Constant unicode string table.

Used for conversion from ASCII string literals to char16.

## Constructor & Destructor Documentation

ConstStringTable | ( |  | ) |
| protected

~ConstStringTable | ( |  | ) |
| protected

## Member Function Documentation

ConstStringTable * instance | ( |  | ) |
| static

const char16 * getString | ( | const char8 * | str | ) | const

Returns a char16 string of a ASCII string literal.

char16 getString | ( | const char8 | str | ) | const

Returns a char16 character of a ASCII character.

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.